# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Format/Human/Bytes.pm) perl(IO/Async/Loop.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Memory/Usage.pm) perl(Proc/CPUUsage.pm) perl(String/Tagged.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Tickit.pm) perl(Tickit/Widget.pm) perl(Tickit/Widget/Progressbar.pm) perl(Time/HiRes.pm) perl(curry.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.004
%define module_name Tickit-Widget-Statusbar
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Terminal widget for showing status, CPU and memory
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Tickit-Widget-Statusbar/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Provides a status bar, typically for use at the bottom of the terminal to
indicate when we're busy doing something. You'll probably want this as the
last widget in a the Tickit::Widget::VBox manpage with `expand' omitted or set to 0.

Currently the statusbar contains the status text, a memory usage indicator (VSZ),
CPU usage, and a clock. It should also allow progress bars, sparklines,
and the ability to configure things, but as yet it does not.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/T*

%changelog
* Tue Sep 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

